## DMS Delete Stored Image request DMS Delete Stored Image request |

## Functions

QmiMessageDmsDeleteStoredImageInput * | qmi_message_dms_delete_stored_image_input_new ()
QmiMessageDmsDeleteStoredImageInput * | qmi_message_dms_delete_stored_image_input_ref ()
void | qmi_message_dms_delete_stored_image_input_unref ()
gboolean | qmi_message_dms_delete_stored_image_input_get_image ()
gboolean | qmi_message_dms_delete_stored_image_input_set_image ()
QmiMessageDmsDeleteStoredImageOutput * | qmi_message_dms_delete_stored_image_output_ref ()
void | qmi_message_dms_delete_stored_image_output_unref ()
gboolean | qmi_message_dms_delete_stored_image_output_get_result ()
void | qmi_client_dms_delete_stored_image ()
QmiMessageDmsDeleteStoredImageOutput * | qmi_client_dms_delete_stored_image_finish ()

## Types and Values

| QmiMessageDmsDeleteStoredImageInput
| QmiMessageDmsDeleteStoredImageInputImage
| QmiMessageDmsDeleteStoredImageOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageDmsDeleteStoredImageInput
        ╰── QmiMessageDmsDeleteStoredImageOutput

## Description

## Functions

### qmi_message_dms_delete_stored_image_input_new ()

    QmiMessageDmsDeleteStoredImageInput *
    qmi_message_dms_delete_stored_image_input_new
                                   (void);

Allocates a new QmiMessageDmsDeleteStoredImageInput.

#### Returns

the newly created QmiMessageDmsDeleteStoredImageInput. The returned value should be freed with `qmi_message_dms_delete_stored_image_input_unref()`.

Since: 1.0

### qmi_message_dms_delete_stored_image_input_ref ()

    QmiMessageDmsDeleteStoredImageInput *
    qmi_message_dms_delete_stored_image_input_ref
                                   (QmiMessageDmsDeleteStoredImageInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsDeleteStoredImageInput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_delete_stored_image_input_unref ()

    void
    qmi_message_dms_delete_stored_image_input_unref
                                   (QmiMessageDmsDeleteStoredImageInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsDeleteStoredImageInput. |

Since: 1.0

### qmi_message_dms_delete_stored_image_input_get_image ()

    gboolean
    qmi_message_dms_delete_stored_image_input_get_image
                                   (QmiMessageDmsDeleteStoredImageInput *self,
                                    QmiMessageDmsDeleteStoredImageInputImage *value_image,
                                    GError **error);

Get the 'Image' field from `self` .

#### Parameters

self | a QmiMessageDmsDeleteStoredImageInput. |
value_image | a placeholder for the output constant QmiMessageDmsDeleteStoredImageInputImage, or `NULL` if not required. | [out]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_delete_stored_image_input_set_image ()

    gboolean
    qmi_message_dms_delete_stored_image_input_set_image
                                   (QmiMessageDmsDeleteStoredImageInput *self,
                                    const QmiMessageDmsDeleteStoredImageInputImage *value_image,
                                    GError **error);

Set the 'Image' field in the message.

#### Parameters

self | a QmiMessageDmsDeleteStoredImageInput. |
value_image | the address of the QmiMessageDmsDeleteStoredImageInputImage to set. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.0

### qmi_message_dms_delete_stored_image_output_ref ()

    QmiMessageDmsDeleteStoredImageOutput *
    qmi_message_dms_delete_stored_image_output_ref
                                   (QmiMessageDmsDeleteStoredImageOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageDmsDeleteStoredImageOutput. |

#### Returns

the new reference to `self` .

Since: 1.0

### qmi_message_dms_delete_stored_image_output_unref ()

    void
    qmi_message_dms_delete_stored_image_output_unref
                                   (QmiMessageDmsDeleteStoredImageOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageDmsDeleteStoredImageOutput. |

Since: 1.0

### qmi_message_dms_delete_stored_image_output_get_result ()

    gboolean
    qmi_message_dms_delete_stored_image_output_get_result
                                   (QmiMessageDmsDeleteStoredImageOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageDmsDeleteStoredImageOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.0

### qmi_client_dms_delete_stored_image ()

    void
    qmi_client_dms_delete_stored_image (QmiClientDms *self,
                                        QmiMessageDmsDeleteStoredImageInput *input,
                                        guint timeout,
                                        GCancellable *cancellable,
                                        GAsyncReadyCallback callback,
                                        gpointer user_data);

Asynchronously sends a Delete Stored Image request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_dms_delete_stored_image_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientDms. |
input | a QmiMessageDmsDeleteStoredImageInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.0

### qmi_client_dms_delete_stored_image_finish ()

    QmiMessageDmsDeleteStoredImageOutput *
    qmi_client_dms_delete_stored_image_finish
                                   (QmiClientDms *self,
                                    GAsyncResult *res,
                                    GError **error);

Finishes an async operation started with `qmi_client_dms_delete_stored_image()`.

#### Parameters

self | a QmiClientDms. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_dms_delete_stored_image()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageDmsDeleteStoredImageOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_dms_delete_stored_image_output_unref()`.

Since: 1.0

## Types and Values

### QmiMessageDmsDeleteStoredImageInput

    typedef struct _QmiMessageDmsDeleteStoredImageInput QmiMessageDmsDeleteStoredImageInput;

The QmiMessageDmsDeleteStoredImageInput structure contains private data and should only be accessed using the provided API.

Since: 1.0

### QmiMessageDmsDeleteStoredImageInputImage

    typedef struct {
        QmiDmsFirmwareImageType type;
        GArray *unique_id;
        gchar *build_id;
    } QmiMessageDmsDeleteStoredImageInputImage;

A QmiMessageDmsDeleteStoredImageInputImage struct.

#### Members

QmiDmsFirmwareImageType `type`; | a QmiDmsFirmwareImageType. |
GArray *`unique_id`; | a GArray of guint8 elements. |
gchar *`build_id`; | a string. |

Since: 1.0

### QmiMessageDmsDeleteStoredImageOutput

    typedef struct _QmiMessageDmsDeleteStoredImageOutput QmiMessageDmsDeleteStoredImageOutput;

The QmiMessageDmsDeleteStoredImageOutput structure contains private data and should only be accessed using the provided API.

Since: 1.0